<?php
// $Id: formselectuser.php,v 1.1 2004/10/13 12:03:38 Farsus Exp $
// -------------------------------------------------------------------------//
//			                 RUNCMS                             //
//                                                                          //
//	 Relaible - Unique - Nocost &  Simplicity & ease off use            //
//                       < http://www.runcms.org >                          //
// -------------------------------------------------------------------------//


if (!defined("EXOOPS_XOOPSFORMSELECTUSER_INCLUDED")) {
	define("EXOOPS_XOOPSFORMSELECTUSER_INCLUDED", 1);

include_once(XOOPS_ROOT_PATH."/class/xoopsform/formselect.php");

class XoopsFormSelectUser extends XoopsFormSelect {

	function XoopsFormSelectUSER($caption, $name, $include_anon=false, $value="", $size=1, $multiple=false) {
		$this->XoopsFormSelect($caption, $name, $value, $size, $multiple);
		if ($include_anon) {
			global $xoopsConfig;
			$this->addOption(0, $xoopsConfig['anonymous']);
		}
		
				$this->addOptionArray(XoopsUser::getAllUsersList($criteria=array(), $orderby="uname ASC", $limit=0, $start=0));
			
	}

//---------------------------------------------------------------------------------------//
} // END CLASS
} // END DEFINED
?>
